///File : main.hpp
//------------------------------------------------------------------------------
/*
    This file is part of Debtest.

    Debtest is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Debtest is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Debtest.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#if not defined MAIN_HPP_DEBTEST
#define MAIN_HPP_DEBTEST
//------------------------------------------------------------------------------
struct progressStr
{
    pthread_mutex_t mutex;
    float perCent;
    std::string msg;

    int verboseMode;
    bool isInteractive;
    bool isReinstall;
    bool isMD5;
};
//------------------------------------------------------------------------------
struct errListStr
{
    bool listExists;
    std::vector<std::string> nonExistingFilesList;

    bool md5Exists;
    std::vector<std::string> md5errorList;
};
//------------------------------------------------------------------------------
void checkFilesExistence(std::vector<errListStr> &errList, const std::vector<std::string> &pkgList, progressStr &progress);
std::string getFileMD5(const std::string &filename);
void checkMD5Sums(std::vector<errListStr> &errList, const std::vector<std::string> &pkgList, progressStr &progress);

#endif // MAIN_HPP_DEBTEST
